Retrieve a job
curl --request GET \
--url https://api.creatok.ai/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatok.ai/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.creatok.ai/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "job",
"capability": "<string>",
"model": "<string>",
"status": "queued",
"input": {},
"output": {
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
},
"cost": {
"amount_usd": "<string>",
"refunded_usd": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
},
"metadata": {},
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Jobs
Retrieve a job
GET
/
jobs
/
{jobId}
Retrieve a job
curl --request GET \
--url https://api.creatok.ai/v1/jobs/{jobId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatok.ai/v1/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.creatok.ai/v1/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"object": "job",
"capability": "<string>",
"model": "<string>",
"status": "queued",
"input": {},
"output": {
"files": [
{
"type": "<string>",
"url": "<string>"
}
]
},
"cost": {
"amount_usd": "<string>",
"refunded_usd": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>"
},
"metadata": {},
"created_at": "<string>",
"completed_at": "<string>",
"expires_at": "<string>"
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Job resource.
Allowed value:
"job"Available options:
queued, running, succeeded, failed, canceled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

